D-Bus: DBusList Struct Reference

D-Bus 1.10.10

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
DBusList Struct Reference
D-Bus secret internal implementation details » Linked list

A node in a linked list. More...

## Data Fields
DBusList * | prev
| Previous list node. More...
DBusList * | next
| Next list node. More...
void * | data
| Data stored at this element. More...

## Detailed Description

A node in a linked list.

DBusList is a circular list; that is, the tail of the list points back to the head of the list. The empty list is represented by a NULL pointer.

Definition at line 34 of file dbus-list.h.

## Field Documentation

void* DBusList::data

Data stored at this element.

Definition at line 38 of file dbus-list.h.

Referenced by _dbus_address_append_escaped(), _dbus_connection_close_if_only_one_ref(), _dbus_connection_close_possibly_shared(), _dbus_connection_message_sent_unlocked(), _dbus_connection_queue_received_message_link(), _dbus_connection_queue_synthesized_message_link(), _dbus_connection_unlock(), _dbus_list_copy(), _dbus_list_find_last(), _dbus_list_foreach(), _dbus_list_length_is_one(), _dbus_list_pop_first(), _dbus_list_pop_last(), _dbus_list_remove(), _dbus_message_add_counter_link(), _dbus_message_loader_peek_message(), _dbus_object_tree_dispatch_and_unlock(), _dbus_pending_call_ref_unlocked(), _dbus_pending_call_set_reply_unlocked(), _dbus_timeout_list_set_functions(), _dbus_transport_queue_messages(), _dbus_watch_list_set_functions(), _dbus_watch_list_toggle_all_watches(), dbus_address_entry_get_value(), dbus_connection_dispatch(), dbus_connection_free_preallocated_send(), dbus_connection_get_dispatch_status(), dbus_connection_pop_message(), dbus_connection_ref(), dbus_connection_remove_filter(), dbus_connection_steal_borrowed_message(), and dbus_parse_address().

DBusList* DBusList::next

Next list node.

Definition at line 37 of file dbus-list.h.

Referenced by _dbus_list_append(), _dbus_list_append_link(), _dbus_list_length_is_one(), and _dbus_list_unlink().

DBusList* DBusList::prev

Previous list node.

Definition at line 36 of file dbus-list.h.

Referenced by _dbus_list_length_is_one(), and _dbus_list_unlink().

The documentation for this struct was generated from the following file:

- dbus-list.h